Name:               bfsync
Version:            0.2.0
Release:            3.4
Summary:            File Synchronization Tool
Source:             http://space.twc.de/~stefan/bfsync/bfsync-%{version}.tar.bz2
Patch1:             bfsync-python_use_destdir_as_root.patch
Patch2:             bfsync-needs-unistd-h
Source99:           bfsync-rpmlintrc
URL:                http://space.twc.de/~stefan/bfsync.php
Group:              System/Filesystems
License:            GPL-3.0
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      python-devel
BuildRequires:      python-setuptools
BuildRequires:      fuse-devel
BuildRequires:      glib2-devel
BuildRequires:      sqlite-devel
BuildRequires:      gcc-c++
BuildRequires:      make glibc-devel pkgconfig
BuildRequires:      autoconf automake libtool

%description
Bfsync is a file-synchronization tool which allows to keep a collection of big
files synchronized on many machines. To do this, bfsync maintains a global and
local history of changes; every time the file collection is changed on one
machine, an entry in the local history is made. Bfsync allows to automatically
merge this local history with the global history where possible, and offers
manual conflict resolution in cases where this is not possible.

Due to history synchronization, each bfsync checkout knows precisely which
files are part of the file collection. Therefore, it can determine which file
contents (data blobs with SHA1 contents) are present in a checked out repo, and
which are missing. The user can transfer file contents between repos using
bfsync get/put, so that after transfer, the checkouts will be complete
(containing both: the history and the file contents required).

To sum it up, bfsync behaves not unlike version control systems like git or
svn, however it behaves reasonable when the file collection is big (like
houndreds of gigabytes).

The main interface to bfsync is a FuSE filesystem, so it is possible to manage
your data with a file manager or copy new data into the repository using rsync.
As soon as you "commit" the changes, they are entered into the local history
and if you "push/pull" the changes, they become part of the global history.
There is no need to transfer all new data to a central server during
"push/pull". Only the history needs to be transferred, the contents of the
files can be exchanged between different machines without need for a central
server (although you can have a central server containing all data if its
practical for you).

%prep
%setup -q
%patch1
%patch2 -p1

%build
%configure \
    --disable-silent-rules
%__make %{?_smp_mflags}

%install
%makeinstall

%__rm "%{buildroot}%{_libdir}"/*.a
%__rm "%{buildroot}%{_libdir}"/*.la
%__rm "%{buildroot}%{_libdir}"/*.so

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f files.lst
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/bfsync
%{_bindir}/bfsyncfs
%{_libdir}/libbfsync.so.0
%{_libdir}/libbfsync.so.0.*
%doc %{_mandir}/man1/bfsync.1*
%doc %{_mandir}/man1/bfsyncfs.1*

%changelog
* Mon May  7 2012 jeffm@suse.com
- bfsync needs unistd.h
* Sat Dec 24 2011 pascal.bleser@opensuse.org
- initial version (0.2.0)
